Bug 1015747 - Forgot password option does not work on Satellite v 5.6
Forgot password option does not work on Satellite v 5.6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
560
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Dobes
Lukáš Hellebrandt
:
Depends On:
Blocks: sat570-misc 1189228
  Show dependency treegraph
 
Reported: 2013-10-05 01:16 EDT by Ashish Humbe
Modified: 2015-02-05 12:31 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 05:19:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 719523 None None None Never

  None (edit)
Description Ashish Humbe 2013-10-05 01:16:33 EDT
Description of problem:

When trying Forgot Password option in Red Hat Satellite v 5.6 webui , it fails with 500 Error Internal Server Error.


Version-Release number of selected component (if applicable):
Red Hat Satellite v 5.6

How reproducible:
Always 

Steps to Reproduce:
1. Take any fresh installed Satellite v 5.6 or upgraded from earlier versions
2. Open Satellite webui in browser -> About -> Lookup Login/Password 
3. Fillup loginid and email address -> Send Password 
4. It fails with - 

500 Error - Internal Server Error

Actual results:

Error message from http error_log: 

[Sat Oct 05 10:00:57 2013] [error] Execution of /var/www/html/help/forgot_password.pxt failed at Sat Oct  5 10:00:57 2013: Can't open /var/www/html/formletters/forgot_password.xml: No such file or directory at /usr/share/perl5/vendor_perl/RHN/Postal.pm line 62.


[Sat Oct 05 10:35:56 2013] [error] Execution of /var/www/html/help/forgot_password.pxt failed at Sat Oct  5 10:35:56 2013: RHN::Exception: DBD::Pg::st execute failed: ERROR:  can't read "the_log_id": no such variable\nCONTEXT:  can't read "the_log_id": no such variable\n    while executing\n"return $the_log_id"\n    (procedure "__PLTcl_proc_23715" line 4)\n    invoked from within\n"__PLTcl_proc_23715"\nin PL/Tcl function "_get_log_id"\nPL/pgSQL function "get_log_id" line 6 at assignment\nPL/pgSQL function "web_contact_log_trig_fun" line 4 at assignment\n  RHN::DB /usr/share/perl5/vendor_perl/RHN/DB.pm 122 RHN::Exception::DB::throw\n  RHN::DB::User /usr/share/perl5/vendor_perl/RHN/DB/User.pm 437 RHN::DB::handle_error\n  Sniglets::Users /usr/share/perl5/vendor_perl/Sniglets/Users.pm 205 RHN::DB::User::commit\n  PXT::ApacheHandler /usr/share/perl5/vendor_perl/PXT/ApacheHandler.pm 482 Sniglets::Users::forgot_password_cb\n  PXT::ApacheHandler /usr/share/perl5/vendor_perl/PXT/ApacheHandler.pm 103 PXT::ApacheHandler::pxt_parse_data\n  PXT::ApacheHandler /usr/share/perl5/vendor_perl/PXT/ApacheHandler.pm 103 (eval)\n  main -e 0 PXT::ApacheHandler::handler\n  main -e 0 (eval)
[Sat Oct 05 10:35:56 2013] [error] Traceback sent to root@localhost at /usr/share/perl5/vendor_perl/PXT/ApacheHandler.pm line 563.

Expected results:

Forgot password option should work as expected. 

Additional info:
Comment 3 Jan Dobes 2013-10-24 03:46:29 EDT
Fixed by converting this page to Java. Spacewalk master commits:

2f1ff50d49467bea4a8a27688100d6341156a675
0eb59408b3dec55abb480d3c251ed2acdb09decc
0f0d9a09711fb5fdeb1bfea7ddbeb6f963c31da6
751a09283e75b432490ad0ed721838d2639ff83c
Comment 7 Lukáš Hellebrandt 2014-10-23 06:06:38 EDT
Verified.

The password reset tool now works in 5.7 and /var/log/httpd/error_log is clean.
Comment 8 Pavel Studeník 2015-01-09 10:17:19 EST
Reverified with spacewalk-java-2.3.8-96.el6sat.noarch
Comment 9 Clifford Perry 2015-01-13 05:19:19 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

Note You need to log in before you can comment on or make changes to this bug.